Bug 341661

Summary: multiarch conflicts in k3d
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: k3dAssignee: Denis Leroy <denis>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-23 14:36:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bill Nottingham 2007-10-19 21:41:52 UTC
k3d (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/k3d from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/animation/keyframes.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/animation/keyframes.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/bevel_points_with_selection.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/bevel_points_with_selection.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/command_node_inspector.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/command_node_inspector.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_bicubic_patch.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_bicubic_patch.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_bilinear_patch.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_bilinear_patch.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_blobby.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_blobby.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_cubic_curve.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_cubic_curve.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_linear_curve.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_linear_curve.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_point_group.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_point_group.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_square.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/create_square.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/describe_plugins.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/describe_plugins.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/deselect_all.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/deselect_all.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/export_raw.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/export_raw.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/generate_schema_samples.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/generate_schema_samples.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/generate_wiki_docs.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/generate_wiki_docs.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/howdy_world.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/howdy_world.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/howdy_world_gtk.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/howdy_world_gtk.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/innovation.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/innovation.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/log_messages.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/log_messages.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/make_human.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/make_human.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/mesh_modifiers/random_colors.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/mesh_modifiers/random_colors.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/plot_function.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/plot_function.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/print_selected_objects.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/print_selected_objects.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/renderman/tribble.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/renderman/tribble.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_context.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_context.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_recursion.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_recursion.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_recursion_context.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/script_recursion_context.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/snap_test_1.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/snap_test_1.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/undo_redo_errors.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/undo_redo_errors.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/user_interface.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/user_interface.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/user_properties.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/user_properties.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/write_describe_plugins.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/write_describe_plugins.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/write_schema_samples.pyc from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/share/k3d/scripts/write_schema_samples.pyo from install of k3d-0.6.7.0-4.fc8 conflicts with file from package k3d-0.6.7.0-4.fc8
  file /usr/bin/k3d-config from install of k3d-devel-0.6.7.0-4.fc8 conflicts with file from package k3d-devel-0.6.7.0-4.fc8
  file /usr/include/k3d/k3dsdk/version.h from install of k3d-devel-0.6.7.0-4.fc8 conflicts with file from package k3d-devel-0.6.7.0-4.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Bug Zapper 2008-05-14 03:31:55 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Denis Leroy 2009-03-23 14:36:50 UTC
Can't reproduce for F-11.